LibreOffice LibreOffice 7.2 SDK API Reference

Exported Interfaces | List of all members
XXMLBasicExporter Interface Referencepublished

Provides unified interface for XMLOasisBasicExporter and XMLBasicExporter services. More...

`import"XXMLBasicExporter.idl";`

Inheritance diagram for XXMLBasicExporter:

## Exported Interfaces
interface | com::sun::star::document::XExporter
| sets the source document for this filter. More...
interface | com::sun::star::document::XFilter
| filters the document. More...

## Additional Inherited Members
Public Member Functions inherited from XExporter
void | setSourceDocument ([in] com::sun::star::lang::XComponent Document) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the source document for the exporter More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XFilter
boolean | filter ([in] sequence< com::sun::star::beans::PropertyValue > aDescriptor)
| filter the document. More...
void | cancel ()
| cancel the process. More...

## Detailed Description

Provides unified interface for XMLOasisBasicExporter and XMLBasicExporter services.

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ com::sun::star::document::XExporter

interface com::sun::star::document::XExporter

sets the source document for this filter.

## ◆ com::sun::star::document::XFilter

interface com::sun::star::document::XFilter

filters the document.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XXMLBasicExporter.idl